Linux Kernelに脆弱性(Moderate: CVE-2022-2380 )

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

07/14/2022にLinux Kernelに脆弱性(Moderate: CVE-2022-2380 )が公開されました。今回はこちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

CVE番号 影響するバージョン 一次情報源 Priority CVSS Score / CVSS Vector
CVE-2022-2380

video: fbdev: sm712fb: Fix crash in smtcfb_read()

Red Hat: 6.1 Moderate

Red Hat: CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:H

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-2380
    • 境界外メモリアクセスの問題
    • Linux Kernelのdrivers/video/fbdev/sm712fb.c中のsmtcfb_read()関数に境界外メモリアクセスの問題が見つかりました。これを利用してローカルの攻撃者はKernelをクラッシュさせることができる可能性があります。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、pacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。

日々のメモを更新しています。

セキュリティ関係ニュースを更新しています。個別で情報出せるようになる前の簡単な情報・リンクなんかも載せていきます。

セミナー情報1

2022/06/24にこちらのセミナーで「最近の状況を鑑みた脆弱性対策の重要性について」として2022-Q1の脆弱性の情報を入れながら、脆弱性対策についてお話します。ご興味がありましたらぜひご参加下さい。

前へ

Linux Kernelの脆弱性( CVE-2022-34918 )

次へ

Oracle Javaの脆弱性(Oracle Critical Patch Update Advisory - Jul 2022)